@ECHO OFF
ECHO OFF
COLOR 9F
CLS

SETLOCAL EnableDelayedExpansion
for /F "tokens=1,2 delims=#" %%a in ('"prompt #$H#$E# & echo on & for %%b in (1) do rem"') do (
  set "DEL=%%a"
)

:INIT
COLOR 9F
CLS
SET /A ERROR=0
GOTO TITLE

:TITLE
CLS
COLOR 9F
SET /A ERROR=1
CALL :C 0F "Journey"
ECHO               v0.31
CALL :C 9F "By"
CALL :C 9A " A"
CALL :C 9B "i"
CALL :C 9C "O"
ECHO  Softworks
ECHO  1. New game
ECHO  2. Load game
ECHO  3. Options
ECHO  4. Exit
ECHO Press a number and enter
SET /P TITLE=-
IF %TITLE%==0 GOTO DEBUG
IF %TITLE%==1 GOTO NEW0
IF %TITLE%==2 GOTO LOAD
IF %TITLE%==3 GOTO SETUP
IF %TITLE%==4 EXIT
GOTO TITLE

:ERROR
CLS
COLOR 0C
ECHO A problem occured in the program at
ECHO %ERROR%. Please, report this error code to me A.S.A.P.!
ECHO.
CALL :C 0F "Press any key to try to return to the program"
ECHO ...
PAUSE>NUL
GOTO TITLE

:LOAD
CLS
SET /A ERROR=2
GOTO ERROR

:SETUP
CLS
SET /A ERROR=3
GOTO ERROR

:DEBUG
CLS
SET /A ERROR=4
GOTO ERROR

:NEW0
CLS
SET /A ERROR=5
ECHO Before we begin, I'll need to ask you some
ECHO questions about yourself. Will you comply?
SET /P NEW0=Y or N?=
IF %NEW0%==Y GOTO NEW1
IF %NEW0%==y GOTO NEW1
IF %NEW0%==N GOTO TITLE
IF %NEW0%==n GOTO TITLE
GOTO NEW0

:NEW1
CLS
SET /A ERROR=6
ECHO Good. Now then, are you Male or Female?
SET /P GENDER=M or F?=
IF %GENDER%==M GOTO NEW2
IF %GENDER%==m GOTO NEW2
IF %GENDER%==F GOTO NEW2
IF %GENDER%==f GOTO NEW2
IF %GENDER%==O GOTO NEW2
IF %GENDER%==o GOTO NEW2
GOTO NEW1

:NEW2
CLS
SET /A ERROR=7
ECHO Select your class and press enter,
ECHO or type H# for more information.
ECHO  1. Wizard
ECHO  2. Warrior
ECHO  3. Archer
ECHO  4. Rioter
SET /P CLASS=-
IF %CLASS%==0 GOTO GOD
IF %CLASS%==H0 GOTO H_GOD
IF %CLASS%==h0 GOTO H_GOD
IF %CLASS%==1 GOTO WIZ
IF %CLASS%==H1 GOTO H_WIZ
IF %CLASS%==h1 GOTO H_WIZ
IF %CLASS%==2 GOTO WAR
IF %CLASS%==H2 GOTO H_WAR
IF %CLASS%==h2 GOTO H_WAR
IF %CLASS%==3 GOTO ACR
IF %CLASS%==H3 GOTO H_ACR
IF %CLASS%==h3 GOTO H_ACR
IF %CLASS%==4 GOTO RTR
IF %CLASS%==H4 GOTO H_RTR
IF %CLASS%==h4 GOTO H_RTR
GOTO NEW2

:H_GOD
CLS
SET /A ERROR=8
ECHO God class.
ECHO God class is for debug ONLY.
ECHO Can use any items, has no limits.
ECHO Stats:
ECHO HP  ۲۲ 5
ECHO ATK ۲۲ 5
ECHO DEF ۲۲ 5
ECHO SPD ۲۲ 5
PAUSE
GOTO NEW2

:H_WIZ
CLS
SET /A ERROR=9
ECHO Wizard class.
ECHO Skilled with magic and staffs, but clumsy.
ECHO Can use only staffs and daggers.
ECHO Stats:
ECHO HP  ۲۲  4
ECHO ATK ۲۲ 5
ECHO DEF ۲    2
ECHO SPD      1
PAUSE
GOTO NEW2

:H_WAR
CLS
SET /A ERROR=10
ECHO Warrior class.
ECHO Strong, but slow.
ECHO Only good with swords and hammers.
ECHO Stats:
ECHO HP  ۲   3
ECHO ATK ۲۲ 5
ECHO DEF ۲۲  4
ECHO SPD ۲    2
PAUSE
GOTO NEW2

:H_ACR
CLS
SET /A ERROR=11
ECHO Archer class.
ECHO Weak but fast and powerful.
ECHO Can use bows and swords.
ECHO Stats:
ECHO HP       1
ECHO ATK ۲۲  4
ECHO DEF ۲    2
ECHO SPD ۲۲ 5
PAUSE
GOTO NEW2

:H_RTR
CLS
SET /A ERROR=12
ECHO Rioter class.
ECHO Slow but very defensive.
ECHO Can use hammers and axes.
ECHO Stats:
ECHO HP  ۲   3
ECHO ATK ۲    2
ECHO DEF ۲۲ 5
ECHO SPD      1
PAUSE
GOTO NEW2

:GOD
CLS
SET /A ERROR=13
ECHO God class.
ECHO DEBUG MODE ONLY.
ECHO Enter the passcode to use this class.
SET /P CODE=-
IF %CODE%==WinRAR GOTO GOD2
GOTO NEW2

:GOD2
CLS
SET /A ERROR=14
ECHO God class.
ECHO A WinRAR is you!
ECHO.
ECHO One moment, preparing game...
SET /A PHP=5
SET /A ATK=5
SET /A DEF=5
SET /A SPD=5
SET /A CLASS=0
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:WIZ
CLS
SET /A ERROR=15
ECHO Wizard class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=4
SET /A ATK=5
SET /A DEF=2
SET /A SPD=1
SET /A CLASS=1
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:WAR
CLS
SET /A ERROR=16
ECHO Warrior class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=3
SET /A ATK=5
SET /A DEF=4
SET /A SPD=2
SET /A CLASS=2
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:ACR
CLS
SET /A ERROR=17
ECHO Archer class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=1
SET /A ATK=4
SET /A DEF=2
SET /A SPD=5
SET /A CLASS=3
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:RTR
CLS
SET /A ERROR=18
ECHO Rioter class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=3
SET /A ATK=2
SET /A DEF=5
SET /A SPD=1
SET /A CLASS=4
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:NEW3
CLS
SET /A ERROR=19
ECHO One last thing before I send you off...
ECHO.
ECHO What, pray tell, is your name?
SET /P NAME=-
ECHO.
ECHO Oh. Okay, %NAME%, I guess I'll be seeing you later!
ECHO.
ECHO PRess any key to begin your Journey!
PAUSE>NUL
GOTO ONG0

:ONG0
CLS
SET /A ERROR=20
ECHO Many years ago, in the early days of civilization,
ECHO the humans of the time period were visited by a
ECHO strange being. This being had seemingly fallen out
ECHO of the sky to themA god, they thought, but no. It
ECHO was certainly not, for it looked quite a lot like
ECHO their fellow humans, but yet much different, with
ECHO oddly bright clothes and it's plain face. It was
ECHO clutching in one hand a small and shiny rectangular
ECHO object with bright symbols illuminating the front.
ECHO.
ECHO The being spoke in strange patterns which they did
ECHO not understand. They thought it a god, casting a
ECHO curse upon them, so they pleaded for their life.
ECHO They thought it worked, for the being fell to the
ECHO ground, dead.
ECHO.
ECHO Press any key to read onwards...
PAUSE>NUL
GOTO ONG1

:ONG1
CLS
SET /A ERROR=21
ECHO rest of story goes here
ECHO Press any key to continue...
PAUSE>NUL
GOTO ONG2

:ONG2
CLS
SET /A ERROR=22
ECHO more story here
ECHO Press any key to continue...
PAUSE>NUL
GOTO 00

:00
CLS
SET /A ERROR=23
SET /A PLACE=00
CALL :C 9A "Journey v0.31"
ECHO By AiO Softworks.
ECHO.
ECHO Game menu.
ECHO Select an option and press enter to do something.
ECHO  1. Check stats
ECHO  2. Look around
ECHO  3. Go to store
ECHO.
ECHO  W1. Walk North
ECHO  W2. Walk West
ECHO  W3. Walk East
ECHO  W4. Walk South
ECHO.
ECHO  4. Options
ECHO  5. Save and Exit
SET /P MENU=-
IF %MENU%==0 GOTO DEBUG
IF %MENU%==W0 GOTO DEBUG
IF %MENU%==w0 GOTO DEBUG
IF %MENU%==1 GOTO STATS
IF %MENU%==2 GOTO LOOK
IF %MENU%==3 GOTO STORE
IF %MENU%==W1 GOTO MN
IF %MENU%==W2 GOTO MW
IF %MENU%==W3 GOTO ME
IF %MENU%==W4 GOTO MS
IF %MENU%==4 GOTO SETUP
IF %MENU%==5 GOTO SAVE
IF %MENU%==w1 GOTO MN
IF %MENU%==w2 GOTO MW
IF %MENU%==w3 GOTO ME
IF %MENU%==w4 GOTO MS
GOTO 00

:SAVE
CLS
SET /A ERROR=24

:STATS
CLS
SET /A ERROR=25

:LOOK
CLS
SET /A ERROR=26

:STORE
CLS
SET /A ERROR=27

:MN
CLS
SET /A ERROR=28

:MW
CLS
SET /A ERROR=29

:ME
CLS
SET /A ERROR=30

:MS
CLS
SET /A ERROR=31

PAUSE>NUL
GOTO ERROR
EXIT

goto :eof

:C
echo off
<nul set /p ".=%DEL%" > "%~2"
findstr /v /a:%1 /R "^$" "%~2" nul
del "%~2" > nul 2>&1
goto :eof