@ECHO OFF
ECHO OFF
COLOR 9F
CLS

SETLOCAL EnableDelayedExpansion
for /F "tokens=1,2 delims=#" %%a in ('"prompt #$H#$E# & echo on & for %%b in (1) do rem"') do (
  set "DEL=%%a"
)

:INIT
COLOR 9F
CLS
SET /A ERROR=0
SET /A NAME=0
SET /A ATK=0
SET /A DEF=0
SET /A TITLE=0
SET /A DEBUG=0
SET /A PHP=0
SET /A SPD=0
SET /A GOLD=0
SET /A ARROWS=0
SET /A OATK=0
SET /A ODEF=0
SET /A OSPD=0
SET /A MHP=0
SET /A VER0=0
SET /A VER1=5
SET /A VER2=0
SET /A VER3=0
GOTO TITLE

:TITLE
CLS
COLOR 9F
SET /A ERROR=1
CALL :C 0F "Journey"
ECHO               v%VER0%.%VER1%%VER2%%VER3%
CALL :C 9F "By"
CALL :C 9A " A"
CALL :C 9B "i"
CALL :C 9C "O"
ECHO  Softworks
ECHO  1. New game
ECHO  2. Load game
ECHO  3. Options
ECHO  4. ReadMe
ECHO  5. Exit
ECHO Press a number and enter
SET /P TITLE=-
IF %TITLE%==0 GOTO DEBUG
IF %TITLE%==1 GOTO NEW0
IF %TITLE%==2 GOTO LOAD
IF %TITLE%==3 GOTO SETUP
IF %TITLE%==4 GOTO README
IF %TITLE%==5 EXIT
GOTO TITLE

:README
CLS
SET /A ERROR=33
ECHO README.TXT:
ECHO  (C)2009-2015 AiO Softworks
ECHO AIO inc. Coding Everything
ECHO.
ECHO Written by FAMICOMASTER
ECHO Version %VER0%.%VER1%%VER2%%VER3%
ECHO.
PAUSE
GOTO TITLE

:ERROR
CLS
COLOR 0C
ECHO A problem occured in the program at
ECHO %ERROR%. Please, report this error code to me A.S.A.P.!
ECHO.
ECHO Extra information:
ECHO  Player position: %MOVE%
ECHO  Player direction: %DIRECTION%
ECHO  Player HP: %PHP%
ECHO  Player GOLD: %GOLD%
ECHO  Player ATK: %ATK%
ECHO  Player DEF: %DEF%
ECHO  Player SPD: %SPD%
ECHO.
CALL :C 0F "Press any key to try to return to the program"
ECHO ...
PAUSE>NUL
GOTO TITLE

:LOAD
CLS
SET /A ERROR=2
ECHO This function doesn't exist yet.
PAUSE
GOTO TITLE

:SETUP
CLS
SET /A ERROR=3
ECHO Custom color selecter
ECHO Available colors:
ECHO  0. Black  8. Gray
ECHO  1. Blue   9. Electric Blue
ECHO  2. Green  A. Lime Green
ECHO  3. Aqua   B. Light Aqua
ECHO  4. Red    C. Light Red
ECHO  5. Purple D. Light Purple
ECHO  6. Yellow E. Light Yellow
ECHO  7. White  F. Bright White
SET /P BG=Background color?=
SET /P TX=Text color?=
CLS
COLOR %BG%%TX%
ECHO Is this color pallete okay?
SET /P COLOR=Y or N?=
IF %COLOR%==Y GOTO %PLACE%
IF %COLOR%==y GOTO %PLACE%
IF %COLOR%==N GOTO COLORS
IF %COLOR%==n GOTO COLORS
SET /A BG=F
SET /A TX=0
GOTO %PLACE%

:DEBUG
CLS
SET /A ERROR=4
ECHO DEBUG MENU ENTRY
ECHO ENTER THE PASSWORD PLEASE!
SET /P DMENU=-
IF %DMENU%==22 GOTO DMENU
GOTO TITLE

:DMENU
CLS
SET /A ERROR=53
ECHO DEBUG MENU
ECHO TYPE A WORD AND PRESS ENTER TO SKIP TO A POSITION
ECHO PROGRAM VERSION NUMBER: %VER0%.%VER1%%VER2%%VER3%
ECHO USABLE WORDS ARE:
ECHO  TITLE - Title menu                            STORE - Go to the store
ECHO  ERROR - The ERROR screen                      HBUY# - Buy HP
ECHO  LOAD - The load screen                        HHBUY# - HP Item stats
ECHO  SAVE - The save screen                        HPG - Gain HP
ECHO  SETUP - The Options menu                      AG - Gain Arrows
ECHO  DEBUG - The DEBUG login                       OK# - Buy an item
ECHO  DMENU - This screen                           MBUY# - Buy misc. items
ECHO  INIT - Reset the program                      WBUY# - Buy weapons
ECHO  C - Colors unit, will crash                   NO - You can't afford this item
ECHO  NEW# - New game slide                         NO0 - You can't use this item
ECHO  H_class code - Class stats                    HMBUY# - Misc. Item stats
ECHO  GOD - God login                               HWBUY# - Weapon stats
ECHO  GOD2 - God class                              WEAPONS - Buy weapons
ECHO  Class code - Class selection                  BUYMISC - Buy misc. items
ECHO  ONG# - Opening slide 0-2                      BUYHP - Buy HP
ECHO  00 - Main game menu                           LOOK - Look around you
ECHO  Mdirection code - Move in a direction NSEW    STATS - Player statistics
ECHO  BUY - Buy items                               EXIT - Return to the game
ECHO  SELL - Sell items                             CEDIT - Edit your character
SET /P DEBUG=-
IF %DEBUG%==EXIT GOTO %PLACE%
IF %DEBUG%==exit GOTO %PLACE%
IF %DEBUG%==Exit GOTO %PLACE%
GOTO %DEBUG%
GOTO ERROR

:NEW0
CLS
SET /A ERROR=5
SET /A MOVE=0
SET /A DIRECTION=0
SET /A GOLD=200
SET /A ARROWS=0
ECHO Before we begin, I'll need to ask you some
ECHO questions about yourself. Will you comply?
SET /P NEW0=Y or N?=
IF %NEW0%==Y GOTO NEW1
IF %NEW0%==y GOTO NEW1
IF %NEW0%==N GOTO TITLE
IF %NEW0%==n GOTO TITLE
GOTO NEW0

:NEW1
CLS
SET /A ERROR=6
ECHO Good. Now then, are you Male or Female?
SET /P GENDER=M or F?=
IF %GENDER%==M GOTO NEW2
IF %GENDER%==m GOTO NEW2
IF %GENDER%==F GOTO NEW2
IF %GENDER%==f GOTO NEW2
IF %GENDER%==O GOTO NEW2
IF %GENDER%==o GOTO NEW2
GOTO NEW1

:NEW2
CLS
SET /A ERROR=7
ECHO Select your class and press enter,
ECHO or type H# for more information.
ECHO  1. Wizard
ECHO  2. Warrior
ECHO  3. Archer
ECHO  4. Rioter
SET /P CLASS=-
IF %CLASS%==0 GOTO GOD
IF %CLASS%==H0 GOTO H_GOD
IF %CLASS%==h0 GOTO H_GOD
IF %CLASS%==1 GOTO WIZ
IF %CLASS%==H1 GOTO H_WIZ
IF %CLASS%==h1 GOTO H_WIZ
IF %CLASS%==2 GOTO WAR
IF %CLASS%==H2 GOTO H_WAR
IF %CLASS%==h2 GOTO H_WAR
IF %CLASS%==3 GOTO ACR
IF %CLASS%==H3 GOTO H_ACR
IF %CLASS%==h3 GOTO H_ACR
IF %CLASS%==4 GOTO RTR
IF %CLASS%==H4 GOTO H_RTR
IF %CLASS%==h4 GOTO H_RTR
GOTO NEW2

:H_GOD
CLS
SET /A ERROR=8
ECHO God class.
ECHO God class is for debug ONLY.
ECHO Can use any items, has no limits.
ECHO Stats:
ECHO HP  ۲۲ 5
ECHO ATK ۲۲ 5
ECHO DEF ۲۲ 5
ECHO SPD ۲۲ 5
PAUSE
GOTO NEW2

:H_WIZ
CLS
SET /A ERROR=9
ECHO Wizard class.
ECHO Skilled with magic and staffs, but clumsy.
ECHO Can use only staffs and daggers.
ECHO Stats:
ECHO HP  ۲۲  4
ECHO ATK ۲۲ 5
ECHO DEF ۲    2
ECHO SPD      1
PAUSE
GOTO NEW2

:H_WAR
CLS
SET /A ERROR=10
ECHO Warrior class.
ECHO Strong, but slow.
ECHO Only good with swords and hammers.
ECHO Stats:
ECHO HP  ۲   3
ECHO ATK ۲۲ 5
ECHO DEF ۲۲  4
ECHO SPD ۲    2
PAUSE
GOTO NEW2

:H_ACR
CLS
SET /A ERROR=11
ECHO Archer class.
ECHO Weak but fast and powerful.
ECHO Can use bows and swords.
ECHO Stats:
ECHO HP       1
ECHO ATK ۲۲  4
ECHO DEF ۲    2
ECHO SPD ۲۲ 5
PAUSE
GOTO NEW2

:H_RTR
CLS
SET /A ERROR=12
ECHO Rioter class.
ECHO Slow but very defensive.
ECHO Can use hammers and axes.
ECHO Stats:
ECHO HP  ۲   3
ECHO ATK ۲    2
ECHO DEF ۲۲ 5
ECHO SPD      1
PAUSE
GOTO NEW2

:GOD
CLS
SET /A ERROR=13
ECHO God class.
ECHO DEBUG MODE ONLY.
ECHO You must enter a passcode to use this class.
ECHO.
ECHO Type the code now:
SET /P CODE=-
IF %CODE%==22 GOTO GOD2
GOTO NEW2

:GOD2
CLS
SET /A ERROR=14
ECHO God class.
ECHO A 22 is you!
ECHO.
ECHO One moment, preparing game...
SET /A PHP=5
SET /A ATK=5
SET /A DEF=5
SET /A SPD=5
SET /A CLASS=0
SET /A ARROWS=0
SET /A OATK=5
SET /A ODEF=5
SET /A OSPD=5
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:WIZ
CLS
SET /A ERROR=15
ECHO Wizard class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=4
SET /A ATK=5
SET /A DEF=2
SET /A SPD=1
SET /A CLASS=1
SET /A OATK=5
SET /A ODEF=2
SET /A OSPD=1
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:WAR
CLS
SET /A ERROR=16
ECHO Warrior class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=3
SET /A ATK=5
SET /A DEF=4
SET /A SPD=2
SET /A CLASS=2
SET /A OATK=5
SET /A ODEF=4
SET /A OSPD=2
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:ACR
CLS
SET /A ERROR=17
ECHO Archer class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=1
SET /A ATK=4
SET /A DEF=2
SET /A SPD=5
SET /A CLASS=3
SET /A ARROWS=0
SET /A OATK=4
SET /A ODEF=2
SET /A OSPD=5
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:RTR
CLS
SET /A ERROR=18
ECHO Rioter class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=3
SET /A ATK=2
SET /A DEF=5
SET /A SPD=1
SET /A CLASS=4
SET /A OATK=2
SET /A ODEF=5
SET /A OSPD=1
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:NEW3
CLS
SET /A ERROR=19
ECHO One last thing before I send you off...
ECHO.
ECHO What, pray tell, is your name?
SET /P NAME=-
ECHO.
ECHO Oh. Okay, %NAME%, I guess I'll be seeing you later!
ECHO.
ECHO Press any key to begin your Journey!
PAUSE>NUL
GOTO ONG0

:ONG0
CLS
SET /A ERROR=20
ECHO Many years ago, in the early days of civilization,
ECHO the humans of the time period were visited by a
ECHO strange being. This being had seemingly fallen out
ECHO of the sky to themA god, they thought, but no. It
ECHO was certainly not, for it looked quite a lot like
ECHO their fellow humans, but yet much different, with
ECHO oddly bright clothes and it's plain face. It was
ECHO clutching in one hand a small and shiny rectangular
ECHO object with bright symbols illuminating the front.
ECHO.
ECHO The being spoke in strange patterns which they did
ECHO not understand. They thought it a god, casting a
ECHO curse upon them, so they pleaded for their life.
ECHO They thought it worked, for the being fell to the
ECHO ground, dead.
ECHO.
ECHO Press any key to read onwards...
PAUSE>NUL
GOTO ONG1

:ONG1
CLS
SET /A ERROR=21
ECHO rest of story goes here
ECHO Press any key to continue...
PAUSE>NUL
GOTO ONG2

:ONG2
CLS
SET /A ERROR=22
ECHO more story here
ECHO Press any key to continue...
PAUSE>NUL
GOTO 00

:00
CLS
SET /A ERROR=23
CALL :C 9A "Journey v%VER0%.%VER1%%VER2%%VER3%"
ECHO  By AiO Softworks.
ECHO.
ECHO Game menu.
ECHO Select an option and press enter to do something.
ECHO  1. Check stats
ECHO  2. Look around
ECHO  3. Go to store
ECHO.
ECHO  W1. Walk North
ECHO  W2. Walk South
ECHO.
ECHO  4. Options
ECHO  5. Save and Exit
SET /P MENU=-
IF %MENU%==0 GOTO DEBUG
IF %MENU%==W0 GOTO DEBUG
IF %MENU%==w0 GOTO DEBUG
IF %MENU%==1 GOTO STATS
IF %MENU%==2 GOTO LOOK
IF %MENU%==3 GOTO STORE
IF %MENU%==W1 GOTO MN
IF %MENU%==W4 GOTO MS
IF %MENU%==4 GOTO SETUP
IF %MENU%==5 GOTO SAVE
IF %MENU%==w1 GOTO MN
IF %MENU%==w4 GOTO MS
GOTO 00

:SAVE
CLS
SET /A ERROR=24
ECHO Not implemented yet!
PAUSE
EXIT

:STATS
CLS
SET /A ERROR=25
ECHO Player %NAME%'s statistics:
ECHO HP:  %PHP%
ECHO ATK: %ATK%
ECHO DEF: %DEF%
ECHO SPD: %SPD%
ECHO.
ECHO Gold: %GOLD%
IF %CLASS%==0 ECHO Arrows: %ARROWS%
IF %CLASS%==3 ECHO Arrows: %ARROWS%
ECHO.
ECHO Current position: %MOVE%
ECHO.
IF %CLASS%==0 ECHO Class: God
IF %CLASS%==1 ECHO Class: Wizard
IF %CLASS%==2 ECHO Class: Warrior
IF %CLASS%==3 ECHO Class: Archer
IF %CLASS%==4 ECHO Class: Rioter
ECHO.
PAUSE
GOTO 00

:LOOK
CLS
SET /A ERROR=26
IF %MOVE%==E GOTO ERROR
IF %MOVE%==0 GOTO LOOK0
IF %MOVE%==1 GOTO LOOK1
IF %MOVE%==2 GOTO LOOK2
IF %MOVE%==3 GOTO LOOK3
IF %MOVE%==4 GOTO LOOK4
IF %MOVE%==5 GOTO LOOK5

SET /A MOVE=E
GOTO LOOK

:STORE
CLS
SET /A ERROR=27
GOTO BUY

:BUY
CLS
SET /A ERROR=32
ECHO Here's a catalog of what I sell:
ECHO Type a letter and press enter.
ECHO  H. Health
ECHO  W. Weapons
ECHO  M. Misc.
ECHO  E. Exit
ECHO.
ECHO You have %GOLD% gold.
SET /P BUY=-
IF %BUY%==0 GOTO DEBUG
IF %BUY%==H GOTO BUYHP
IF %BUY%==W GOTO WEAPONS
IF %BUY%==M GOTO BUYMISC
IF %BUY%==h GOTO BUYHP
IF %BUY%==w GOTO WEAPONS
IF %BUY%==m GOTO BUYMISC
IF %BUY%==E GOTO STORE
IF %BUY%==e GOTO STORE
GOTO STORE

:BUYHP
CLS
SET /A ERROR=35
ECHO Here's what I sell:
ECHO Type a number and press enter.
ECHO Type H and a number to view stats.
ECHO  1. Health          100
ECHO  2. Super Health    250
ECHO  3. Maximum Health  500
ECHO  4. Back
ECHO.
ECHO You have %GOLD% gold.
SET /P BUYHP=-
IF %BUYHP%==0 GOTO DEBUG
IF %BUYHP%==1 GOTO HBUY0
IF %BUYHP%==2 GOTO HBUY1
IF %BUYHP%==3 GOTO HBUY2
IF %BUYHP%==4 GOTO BUY
IF %BUYHP%==H1 GOTO HHBUY0
IF %BUYHP%==h1 GOTO HHBUY0
IF %BUYHP%==H2 GOTO HHBUY1
IF %BUYHP%==h2 GOTO HHBUY1
IF %BUYHP%==H3 GOTO HHBUY2
IF %BUYHP%==h3 GOTO HHBUY2
GOTO BUYHP

:HBUY0
CLS
SET /A ERROR=36
ECHO One moment...
SET /A GOLD2=%GOLD%-100
IF %GOLD2%==0 GOTO OK0
IF /I %GOLD2% LSS 1 GOTO NO
IF /I %GOLD2% GTR 0 GOTO OK0
GOTO ERROR

:NO
CLS
SET /A ERROR=37
ECHO You don't have enough money for that!
ECHO Come back when you do!
ECHO.
ECHO Press any key to return to the main menu.
PAUSE>NUL
GOTO 00

:OK0
CLS
SET /A ERROR=38
ECHO Okay, here's your Health.
ECHO Come back any time!
SET /A PHP=%PHP%+1
SET /A HPG=1
SET /A GOLD=%GOLD%-100
ECHO.
ECHO You have %GOLD% gold left.
PAUSE
GOTO HPG

:HPG
CLS
SET /A ERROR=39
ECHO You gained %HPG% HP
ECHO Bringing you to %PHP% HP.
PAUSE
GOTO 00

:HBUY1
CLS
SET /A ERROR=40
ECHO One moment...
SET /A GOLD2=%GOLD%-250
IF %GOLD2%==0 GOTO OK1
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK1
GOTO ERROR

:OK1
CLS
SET /A ERROR=41
ECHO Okay, here's your Super Health.
ECHO Come back any time!
SET /A PHP=%PHP%+2
SET /A HPG=3
SET /A GOLD=%GOLD%-250
ECHO.
ECHO You have %GOLD% gold left.
PAUSE
GOTO HPG

:HBUY2
CLS
SET /A ERROR=42
ECHO One moment...
SET /A GOLD2=%GOLD%-500
IF %GOLD2%==0 GOTO OK2
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK2
GOTO ERROR

:OK2
CLS
SET /A ERROR=43
ECHO Okay, here's your Maximum Health.
ECHO Come back any time!
SET /A PHP=%PHP%+5
SET /A HPG=6
SET /A GOLD=%GOLD%-500
ECHO.
ECHO You have %GOLD% gold left.
PAUSE
GOTO HPG

:HHBUY0
CLS
SET /A ERROR=44
ECHO Health
ECHO  Cost: 100
ECHO  Function: Restores 1 HP.
ECHO Press any key to return to the shop.
PAUSE>NUL
GOTO BUYHP

:HHBUY1
CLS
SET /A ERROR=45
ECHO Super Health
ECHO  Cost: 250
ECHO  Function: Restores 2 HP.
ECHO Press any key to return to the shop.
PAUSE>NUL
GOTO BUYHP

:HHBUY2
CLS
SET /A ERROR=46
ECHO Maximum Health
ECHO  Cost: 500
ECHO  Function: Restores 5 HP.
ECHO Press any key to return to the shop.
PAUSE>NUL
GOTO BUYHP

:BUYMISC
CLS
SET /A ERROR=47
ECHO Here's what I sell:
ECHO Type a number and press enter.
ECHO Type H and a number to view stats.
ECHO  1. Arrows   50
ECHO  2. Exit
SET /P MISC=-
IF %MISC%==1 GOTO MBUY0
IF %MISC%==2 GOTO BUY
IF %MISC%==H1 GOTO HMBUY0
IF %MISC%==h1 GOTO HMBUY0
GOTO BUYMISC

:MBUY0
CLS
SET /A ERROR=48
ECHO One moment...
IF %CLASS%==0 GOTO MBUY01
IF %CLASS%==3 GOTO MBUY01
GOTO NO0

:MBUY01
CLS
SET /A ERROR=49
ECHO One moment...
SET /A GOLD2=%GOLD%-50
IF %GOLD2%==0 GOTO OK3
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK3
GOTO ERROR

:NO0
CLS
SET /A ERROR=50
ECHO Why would I sell this to you?
ECHO You're not the kind of person to use it.
ECHO.
PAUSE
GOTO BUY

:OK3
CLS
SET /A ERROR=51
ECHO Okay, here's your Arrow.
ECHO Come back any time!
SET /A ARROWS=%ARROWS%+1
SET /A AG=1
SET /A GOLD=%GOLD%-50
ECHO.
ECHO You have %GOLD% gold left.
PAUSE
GOTO AG

:AG
CLS
SET /A ERROR=52
ECHO You got %AG% Arrows.
ECHO You now have %ARROWS% Arrows.
ECHO.
PAUSE
GOTO MENU

:HMBUY0
CLS
SET /A ERROR=53
ECHO Arrows
ECHO Usable by Archers ONLY!
ECHO  Cost: 50
ECHO  Arrow gain: 1
ECHO.
PAUSE
GOTO BUYMISC

:SELL
CLS
SET /A ERROR=34
GOTO ERROR

:MN
CLS
SET /A ERROR=28
GOTO MN0

:MS
CLS
SET /A ERROR=31
GOTO MS0

:CEDIT
CLS
SET /A ERROR=54
ECHO Character editor
ECHO  1. PHP   2. ATK
ECHO  3. DEF   4. SPD
ECHO  5. GOLD  6. NAME
ECHO  7. GENDER8. EXIT
SET /P CEDIT=-
IF %CEDIT%==0 GOTO DEBUG
IF %CEDIT%==1 GOTO EDITPHP
IF %CEDIT%==2 GOTO EDITATK
IF %CEDIT%==3 GOTO EDITDEF
IF %CEDIT%==4 GOTO EDITSPD
IF %CEDIT%==5 GOTO EDITGOLD
IF %CEDIT%==6 GOTO EDITNAME
IF %CEDIT%==7 GOTO EDITGENDER
IF %CEDIT%==8 GOTO %PLACE%
GOTO ERROR

:WEAPONS
CLS
SET /A ERROR=55
ECHO Here's what I sell:
ECHO Type a number and press enter.
ECHO Type H and a number to view stats.
ECHO  1. Dagger        250
ECHO  2. Shortsword    400
ECHO  3. Broadsword    700
ECHO  4. Longsword     800
ECHO  5. Cleaver      1000
ECHO  6. Woodenstaff   250
ECHO  7. Aluminumstaff 400
ECHO  8. Gold staff    600
ECHO  9. Diamondstaff 1000
ECHO 10. Bronze staff  300
ECHO 11. Hatchet       250
ECHO 12. Axe           350
ECHO 13. Battle axe    500
ECHO 14. Mallet        250
ECHO 15. Hammer        500
ECHO 16. War hammer    750
ECHO 17. Bow           250
ECHO 18. Bronze bow    500
ECHO 19. Silver bow    700
ECHO 20. Gold bow     1000
ECHO 21. Exit
SET /P WEAPONS=-
IF %WEAPONS%==0 GOTO DEBUG
IF %WEAPONS%==1 GOTO BUY0
IF %WEAPONS%==2 GOTO BUY1
IF %WEAPONS%==3 GOTO BUY2
IF %WEAPONS%==4 GOTO BUY3
IF %WEAPONS%==5 GOTO BUY4
IF %WEAPONS%==6 GOTO BUY5
IF %WEAPONS%==7 GOTO BUY6
IF %WEAPONS%==8 GOTO BUY7
IF %WEAPONS%==9 GOTO BUY8
IF %WEAPONS%==10 GOTO BUY9
IF %WEAPONS%==11 GOTO BUY10
IF %WEAPONS%==12 GOTO BUY11
IF %WEAPONS%==13 GOTO BUY12
IF %WEAPONS%==14 GOTO BUY13
IF %WEAPONS%==15 GOTO BUY14
IF %WEAPONS%==16 GOTO BUY15
IF %WEAPONS%==17 GOTO BUY16
IF %WEAPONS%==18 GOTO BUY17
IF %WEAPONS%==19 GOTO BUY18
IF %WEAPONS%==20 GOTO BUY19
IF %WEAPONS%==21 GOTO BUY
IF %WEAPONS%==22 GOTO BUYOP
IF %WEAPONS%==H1 GOTO HBUY0
IF %WEAPONS%==H2 GOTO HBUY1
IF %WEAPONS%==H3 GOTO HBUY2
IF %WEAPONS%==H4 GOTO HBUY3
IF %WEAPONS%==H5 GOTO HBUY4
IF %WEAPONS%==H6 GOTO HBUY5
IF %WEAPONS%==H7 GOTO HBUY6
IF %WEAPONS%==H8 GOTO HBUY7
IF %WEAPONS%==H9 GOTO HBUY8
IF %WEAPONS%==H10 GOTO HBUY9
IF %WEAPONS%==H11 GOTO HBUY10
IF %WEAPONS%==H12 GOTO HBUY11
IF %WEAPONS%==H13 GOTO HBUY12
IF %WEAPONS%==H14 GOTO HBUY13
IF %WEAPONS%==H15 GOTO HBUY14
IF %WEAPONS%==H16 GOTO HBUY15
IF %WEAPONS%==H17 GOTO HBUY16
IF %WEAPONS%==H18 GOTO HBUY17
IF %WEAPONS%==H19 GOTO HBUY18
IF %WEAPONS%==H20 GOTO HBUY19
IF %WEAPONS%==H22 GOTO HBUYOP
IF %WEAPONS%==h1 GOTO HBUY0
IF %WEAPONS%==h2 GOTO HBUY1
IF %WEAPONS%==h3 GOTO HBUY2
IF %WEAPONS%==h4 GOTO HBUY3
IF %WEAPONS%==h5 GOTO HBUY4
IF %WEAPONS%==h6 GOTO HBUY5
IF %WEAPONS%==h7 GOTO HBUY6
IF %WEAPONS%==h8 GOTO HBUY7
IF %WEAPONS%==h9 GOTO HBUY8
IF %WEAPONS%==h10 GOTO HBUY9
IF %WEAPONS%==h11 GOTO HBUY10
IF %WEAPONS%==h12 GOTO HBUY11
IF %WEAPONS%==h13 GOTO HBUY12
IF %WEAPONS%==h14 GOTO HBUY13
IF %WEAPONS%==h15 GOTO HBUY14
IF %WEAPONS%==h16 GOTO HBUY15
IF %WEAPONS%==h17 GOTO HBUY16
IF %WEAPONS%==h18 GOTO HBUY17
IF %WEAPONS%==h19 GOTO HBUY18
IF %WEAPONS%==h20 GOTO HBUY19
IF %WEAPONS%==h22 GOTO HBUYOP
GOTO WEAPONS

:HBUYOP
CLS
SET /A ERROR=56
ECHO OP weapon
ECHO For debug ONLY; password restricted!
ECHO Limited to God class only.
ECHO  ATK increase: +15
ECHO  DEF increase: +15
ECHO  SPD increase: +15
ECHO  Cost: 0G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY0
CLS
SET /A ERROR=57
ECHO Dagger
ECHO A small rusty dagger I found outside.
ECHO Usable by all classes.
ECHO  ATK increase: +1
ECHO  Cost: 250G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY1
CLS
SET /A ERROR=58
ECHO Shortsword
ECHO A short sword that was found in the forest.
ECHO Limited to Warrior class only.
ECHO  ATK increase: +3
ECHO  Cost: 400G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY2
CLS
SET /A ERROR=59
ECHO Broadsword
ECHO A wide, heavy sword.
ECHO Limited to Warrior class only.
ECHO  ATK increase: +5
ECHO  SPD decrease: -1
ECHO  Cost: 700G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY3
CLS
SET /A ERROR=60
ECHO Longsword
ECHO A long, slim sword.
ECHO Limited to Warrior class only.
ECHO  ATK increase: +4
ECHO  DEF increase: +1
ECHO  SPD decrease: -1
ECHO  Cost: 800G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY4
CLS
SET /A ERROR=61
ECHO Cleaver
ECHO A large meat cleaver.
ECHO Limited to Warrior class only.
ECHO  ATK increase: +7
ECHO  DEF decrease: -4
ECHO  Cost: 1000G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY5
CLS
SET /A ERROR=62
ECHO Wooden Staff
ECHO A wooden staff I made myself.
ECHO Usable by Wizards only.
ECHO  ATK increase: +1
ECHO  DEF decrease: -1
ECHO  Cost: 250G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY6
CLS
SET /A ERROR=63
ECHO Aluminum Staff
ECHO A professionally made staff.
ECHO Usable by Wizards only.
ECHO  ATK increase: +2
ECHO  DEF decrease: -1
ECHO  Cost: 400G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY7
CLS
SET /A ERROR=64
ECHO Gold staff
ECHO A staff made of pure gold... at least I think it is.
ECHO Usable by Wizards only.
ECHO  ATK increase: +1
ECHO  SPD decrease: -1
ECHO  Cost: 600G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY8
CLS
SET /A EEEOR=65
ECHO Diamond staff
ECHO A staff studded with diamonds and looks to be made of platinum.
ECHO Usabe by Wizards only.
ECHO  ATK increase: +4
ECHO  SPD decrease: -1
ECHO  Cost: 1000G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY9
CLS
SET /A ERROR=66
ECHO Bronze staff
ECHO A cheaply made staff. Probably Chinese or British.
ECHO Usable by Wizards only.
ECHO  ATK increase: +2
ECHO  DEF decrease: -1
ECHO  Cost: 300G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY10
CLS
SET /A ERROR=67
ECHO Hatchet
ECHO A baby axe. What? You say it's called a Hatchet? No! It's my
ECHO  wares, I'll call it what I want to! Humph!
ECHO Usable by all classes.
ECHO  ATK increase: +1
ECHO  SPD decrease: -1
ECHO  Cost: 250G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY11
CLS
SET /A ERROR=68
ECHO Axe
ECHO I stole it from a lumberjack, then killed him with it.
ECHO Only Rioters can weild this.
ECHO  ATK increase: +2
ECHO  Cost: 350G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY12
CLS
SET /A ERROR=69
ECHO Battle Axe
ECHO A cermionial axe used for war.
ECHO Only Rioters can weild this.
ECHO  ATK increase: +5
ECHO  SPD decrease: -3
ECHO  Cost: 500G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY13
CLS
SET /A ERROR=70
ECHO Mallet
ECHO A small hammer used for assemly lines and pitching tents.
ECHO Only Rioters can weild this.
ECHO  ATK increase: +1
ECHO  Cost: 250G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY14
CLS
SET /A ERROR=71
ECHO Hammer
ECHO A much larger mallet used to break things and construct things.
ECHO Only Rioters can weild this.
ECHO  ATK increase: +3
ECHO  SPD decrease: -1
ECHO  Cost: 500G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY15
CLS
SET /A ERROR=72
ECHO War Hammer
ECHO A hammer used for war. What did you really expect?
ECHO Only Rioters can weild this.
ECHO  ATK increase: +7
ECHO  SPD decrease: -3
ECHO  Cost: 750G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY16
CLS
SET /A ERROR=73
ECHO Bow
ECHO A bow. It shoots arrows (and requires them as well).
ECHO Only Archers can use these.
ECHO  ATK increase: +1
ECHO  DEF decrease: -1
ECHO  Cost: 250G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY17
CLS
SET /A ERROR=74
ECHO Bronze bow
ECHO A brown, metallic bow. It requires arrors.
ECHO Only Archers can use these.
ECHO  ATK increase: +2
ECHO  SPD increase: +1
ECHO  Cost: 500G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY18
CLS
SET /A ERROR=75
ECHO Silver bow
ECHO A shiny grey bow. It requires arrows.
ECHO Only Archers can use these.
ECHO  ATK increase: +3
ECHO  SPD increase: +1
ECHO  Cost: 750G
ECHO.
PAUSE
GOTO WEAPONS

:HBUY19
CLS
SET /A ERROR=76
ECHO Gold bow
ECHO A golden bow. It requires arrows.
ECHO  ATK increase: +4
ECHO  SPD increase: +2
ECHO  Cost: 1000G
ECHO.
PAUSE
GOTO WEAPONS

:NO1
CLS
SET /A ERROR=77
ECHO But you're already using that weapon!
ECHO.
PAUSE
GOTO WEAPONS

:BUYOP
CLS
SET /A ERROR=78
ECHO What's the password?
SET /P OPKEY=?=
IF NOT %OPKEY%==22 GOTO WEAPONS
ECHO.
IF %CLASS%==0 GOTO BUYOP2
SET /A OPKEY=0
GOTO WEAPONS

:BUYOP2
CLS
SET /A ERROR=79
ECHO One moment...
SET /A ATK=%OATK%+15
SET /A DEF=%ODEF%+15
SET /A SPD=%OSPD%+15
ECHO.
ECHO Thank you for your purchase, here's your OP!
ECHO Come again any time!
ECHO.
PAUSE
GOTO 00

:BUY0
CLS
SET /A ERROR=80
ECHO One moment...
SET /A GOLD2=%GOLD%-250
IF %GOLD2%==0 GOTO OK4
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK4
GOTO ERROR

:OK4
CLS
SET /A ERROR=81
SET /A ATK=%OATK%+1
SET /A GOLD=%GOLD%-250
ECHO Alright. Here's your Dagger.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY1
CLS
SET /A ERROR=82
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-400
IF %GOLD2%==0 GOTO OK5
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK5
GOTO ERROR

:OK5
CLS
SET /A ERROR=83
SET /A ATK=%OATK%+3
SET /A GOLD=%GOLD%-400
ECHO Alright. Here's your shortsword.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY2
CLS
SET /A ERROR=84
ECHO One moment...
IF NOT %CLASS%==2 GOTO NO0
SET /A GOLD2=%GOLD%-700
IF %GOLD2%==0 GOTO OK6
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK6
GOTO ERROR

:OK6
CLS
SET /A ERROR=85
SET /A ATK=%OATK%+4
SET /A SPD=%OSPD%-1
SET /A GOLD=%GOLD%-700
ECHO Alright. Here's your Broadsword.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY3
CLS
SET /A ERROR=86
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-800
IF %GOLD2%==0 GOTO OK7
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK7
GOTO ERROR

:OK7
CLS
SET /A ERROR=87
SET /A ATK=%OATK%+4
SET /A DEF=%ODEF%+1
SET /A SPD=%OSPD%-1
SET /A GOLD=%GOLD%-800
ECHO Alright. Here's your Longsword.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY4
CLS
SET /A ERROR=29
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-1000
IF %GOLD2%==0 GOTO OK8
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK8
GOTO ERROR

:OK8
CLS
SET /A ERROR=30
SET /A ATK=%OATK%+7
SET /A DEF=%ODEF%-4
SET /A GOLD=%GOLD%-1000
ECHO Alright. Here's your Cleaver.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY5
CLS
SET /A ERROR=88
ECHO One moment..
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-250
IF %GOLD2%==0 GOTO OK9
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK9
GOTO ERROR

:OK9
CLS
SET /A ERROR=89
SET /A ATK=%OATK%+1
SET /A DEF=%ODEF%-1
SET /A GOLD=%GOLD%-250
ECHO Alright. Here's your Wooden Staff.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY6
CLS
SET /A ERROR=90
ECHO One moment...
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-400
IF %GOLD2%==0 GOTO OK10
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK10
GOTO ERROR

:OK10
CLS
SET /A ERROR=91
SET /A ATK=%OATK%+2
SET /A DEF=%ODEF%-1
SET /A GOLD=%GOLD%-400
ECHO Alright. Here's your Aluminum Staff.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY7
CLS
SET /A ERROR=92
ECHO One moment...
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-600
IF %GOLD2%==0 GOTO OK11
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK11
GOTO ERROR

:OK11
CLS
SET /A ERROR=93
SET /A ATK=%OATK%+1
SET /A SPD=%OSPD%-1
SET /A GOLD=%GOLD%-600
ECHO Alright. Here's your Gold Staff.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY8
CLS
SET /A ERROR=94
ECHO One moment...
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-1000
IF %GOLD2%==0 GOTO OK12
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK12
GOTO ERROR

:OK12
CLS
SET /A ERROR=95
SET /A ATK=%OATK%+4
SET /A SPD=%OSPD%-1
SET /A GOLD=%GOLD%-1000
ECHO Alright. Here's your Diamond Staff.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY9
CLS
SET /A ERROR=96
ECHO One moment...
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-300
IF %GOLD2%==0 GOTO OK13
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK13
GOTO ERROR

:OK13
CLS
SET /A ERROR=97
SET /A ATK=%OATK%+2
SET /A DEF=%ODEF%-1
SET /A GOLD=%GOLD%-300
ECHO Alright. Here's your Bronze Staff.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY10
CLS
SET /A ERROR=98
ECHO One moment...
SET /A GOLD2=%GOLD%-250
IF %GOLD2%==0 GOTO OK14
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK14
GOTO ERROR

:OK14
CLS
SET /A ERROR=99
SET /A ATK=%OATK%+1
SET /A SPD=%OSPD%-1
SET /A GOLD=%GOLD%-250
ECHO Alright. Here's your Hatchet.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY11
CLS
SET /A ERROR=100
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
SET /A GOLD2=%GOLD%-350
IF %GOLD2%==0 GOTO OK15
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK15
GOTO ERROR

:OK15
CLS
SET /A ERROR=101
SET /A ATK=%OATK%+2
SET /A GOLD=%GOLD%-350
ECHO Alright. Here's your Axe.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:BUY12
CLS
SET /A ERROR=102
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
SET /A GOLD2=%GOLD%-500
IF %GOLD2%==0 GOTO OK16
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK16
GOTO ERROR

:OK16
CLS
SET /A ERROR=103
SET /A ATK=%OATK%+5
SET /A SPD=%OSPD%-3
SET /A GOLD=%GOLD%-500
ECHO Alright. Here's your Battle Axe.
ECHO Have a nice day, and come back any time!
ECHO.
PAUSE
GOTO 00

:EDITPHP
CLS
SET /A ERROR=104
ECHO Player HP editor
ECHO HP: %PHP%
SET /P PHP=PHP?=
GOTO 00

:EDITATK
CLS
SET /A ERROR=105
ECHO Player ATK editor
ECHO Attack: %ATK%
SET /P ATK=ATK?=
GOTO 00

:EDITDEF
CLS
SET /A ERROR=106
ECHO Player DEF editor
ECHO Defense: %DEF%
SET /P DEF=DEF?=
GOTO 00

:EDITSPD
CLS
SET /A ERROR=107
ECHO Player SPD editor
ECHO Speed: %SPD%
SET /P SPD=SPD?=
GOTO 00

:EDITGOLD
CLS
SET /A ERROR=108
ECHO Player GOLD editor
ECHO Gold: %GOLD%
SET /P GOLD=GOLD?=
GOTO 00

:EDITNAME
CLS
SET /A ERROR=109
ECHO Player NAME editor
ECHO Name: %NAME%
SET /P NAME=NAME?=
GOTO 00

:EDITGENDER
CLS
SET /A ERROR=110
ECHO Player GENDER editor
ECHO Gender: %GENDER%
SET /P GENDER=%GENDER%
GOTO 00

:BUY13
CLS
SET /A ERROR=111
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
SET /A GOLD2=%GOLD%-250
IF %GOLD2%==0 GOTO OK17
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK17
GOTO ERROR

:OK17
CLS
SET /A ERROR=112
SET /A ATK=%OATK%+1
SET /A GOLD=%GOLD%-250
ECHO Alright. Here's your Mallet.
ECHO Feel free to come back any time!
ECHO.
PAUSE
GOTO 00

:BUY14
CLS
SET /A ERROR=113
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
SET /A GOLD2=%GOLD%-500
IF %GOLD2%==0 GOTO OK18
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK18
GOTO ERROR

:OK18
CLS
SET /A ERROR=114
SET /A ATK=%OATK%+3
SET /A SPD=%OSPD%-1
SET /A GOLD=%GOLD%-500
ECHO Alright. Here's your Hammer.
ECHO Feel free to come back any time!
ECHO.
PAUSE
GOTO 00

:BUY15
CLS
SET /A ERROR=115
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==3 GOTO NO0
SET /A GOLD2=%GOLD%-750
IF %GOLD2%==0 GOTO OK19
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK19
GOTO ERROR

:OK19
CLS
SET /A ERROR=116
SET /A ATK=%OATK%+7
SET /A SPD=%OSPD%-3
SET /A GOLD=%GOLD%-750
ECHO Alright. Here's your War Hammer.
ECHO Feel free to come back any time!
ECHO.
PAUSE
GOTO 00

:BUY16
CLS
SET /A ERROR=117
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-250
IF %GOLD2%==0 GOTO OK20
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK20
GOTO ERROR

:OK20
CLS
SET /A ERROR=118
SET /A ATK=%OATK%+1
SET /A DEF=%ODEF%-1
SET /A GOLD=%GOLD%-250
SET /A BOW=1
ECHO Alright. Here's your Bow.
ECHO Feel free to come back any time!
ECHO.
PAUSE
GOTO 00

:BUY17
CLS
SET /A ERROR=119
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-500
IF %GOLD2%==0 GOTO OK21
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK21
GOTO ERROR

:OK21
CLS
SET /A ERROR=120
SET /A ATK=%OATK%+2
SET /A SPD=%OSPD%+1
SET /A GOLD=%GOLD%-500
SET /A BOW=1
ECHO Alright. Here's your Bronze Bow.
ECHO Feel free to come back any time!
ECHO.
PAUSE
GOTO 00

:BUY18
CLS
SET /A ERROR=121
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-750
IF %GOLD2%==0 GOTO OK22
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK22
GOTO ERROR

:OK22
CLS
SET /A ERROR=122
SET /A ATK=%OATK%+3
SET /A SPD=%OSPD%+1
SET /A GOLD=%GOLD%-750
SET /A BOW=1
ECHO Alright. Here's your Silver Bow.
ECHO Feel free to come back any time!
ECHO.
PAUSE
GOTO 00

:BUY19
CLS
SET /A ERROR=123
ECHO One moment...
IF %CLASS%==1 GOTO NO0
IF %CLASS%==2 GOTO NO0
IF %CLASS%==4 GOTO NO0
SET /A GOLD2=%GOLD%-1000
IF %GOLD2%==0 GOTO OK23
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK23
GOTO ERROR

:OK23
CLS
SET /A ERROR=124
SET /A ATK=%OATK%+4
SET /A SPD=%OSPD%+2
SET /A GOLD=%GOLD%-1000
SET /A BOW=1
ECHO Alright. Here's your Gold Bow.
ECHO Feel free to come back any time!
ECHO.
PAUSE
GOTO 00

:MN0
CLS
SET /A ERROR=125
SET /A MOVE=%MOVE%+1
IF %MOVE%==9 GOTO MN1
IF /I %MOVE% GTR 8 GOTO MN1
GOTO MN2

:MN1
CLS
SET /A ERROR=126
ECHO You can move North no further.
ECHO.
PAUSE
GOTO 00

:MN2
CLS
SET /A ERROR=127
SET /A CMON=%RANDOM%
IF /I %CMON% LSS 16383 GOTO MN3
IF /I %CMON% GTR 16383 GOTO 00
GOTO ERROR

:MN3
CLS
SET /A ERROR=128
SET /A EPIC=%RANDOM%
IF /I %EPIC% LSS 256 GOTO MN3B
IF /I %EPIC% GTR 256 GOTO MN4
GOTO ERROR

:MN3B
CLS
SET /A ERROR=129
SET /A EPIC=1
GOTO MN4

:MN4
CLS
SET /A ERROR=130
SET /A BATTLE=1
SET /A MON=%RANDOM%
IF /I %MON% LSS 256 GOTO MON0
IF /I %MON% LSS 512 GOTO MON1
IF /I %MON% LSS 1024 GOTO MON2
IF /I %MON% LSS 2048 GOTO MON3
IF /I %MON% LSS 4096 GOTO MON4
IF /I %MON% LSS 8192 GOTO MON5
IF /I %MON% LSS 16384 GOTO MON6
IF /I %MON% GTR 16384 GOTO MON7
GOTO ERROR

:MON0
CLS
SET /A ERROR=131
SET /A TYPE=0
GOTO MAIN

:MON1
CLS
SET /A ERROR=132
SET /A TYPE=1
GOTO MAIN

:MON2
CLS
SET /A ERROR=133
SET /A TYPE=2
GOTO MAIN

:MON3
CLS
SET /A ERROR=134
SET /A TYPE=3
GOTO MAIN

:MON4
CLS
SET /A ERROR=135
SET /A TYPE=4
GOTO MAIN

:MON5
CLS
SET /A ERROR=136
SET /A TYPE=5
GOTO MAIN

:MON6
CLS
SET /A ERROR=137
SET /A TYPE=6
GOTO MAIN

:MON7
CLS
SET /A ERROR=138
SET /A TYPE=7
GOTO MAIN

:MAIN
CLS
SET /A ERROR=139
SET /A FATK=%RANDOM%
IF /I %FATK% LSS 16384 GOTO MATK
IF /I %FATK% GTR 16384 GOTO BMENU
GOTO ERROR

:MATK
CLS
SET /A ERROR=140






















































PAUSE>NUL
GOTO ERROR
EXIT

goto :eof

:C
echo off
<nul set /p ".=%DEL%" > "%~2"
findstr /v /a:%1 /R "^$" "%~2" nul
del "%~2" > nul 2>&1
goto :eof