@ECHO OFF
ECHO OFF
COLOR 9F
CLS

SETLOCAL EnableDelayedExpansion
for /F "tokens=1,2 delims=#" %%a in ('"prompt #$H#$E# & echo on & for %%b in (1) do rem"') do (
  set "DEL=%%a"
)

:INIT
COLOR 9F
CLS
SET /A ERROR=0
GOTO TITLE

:TITLE
CLS
COLOR 9F
SET /A ERROR=1
CALL :C 0F "Journey"
ECHO               v0.41
CALL :C 9F "By"
CALL :C 9A " A"
CALL :C 9B "i"
CALL :C 9C "O"
ECHO  Softworks
ECHO  1. New game
ECHO  2. Load game
ECHO  3. Options
ECHO  4. ReadMe
ECHO  5. Exit
ECHO Press a number and enter
SET /P TITLE=-
IF %TITLE%==0 GOTO DEBUG
IF %TITLE%==1 GOTO NEW0
IF %TITLE%==2 GOTO LOAD
IF %TITLE%==3 GOTO SETUP
IF %TITLE%==4 GOTO README
IF %TITLE%==5 EXIT
GOTO TITLE

:README
CLS
SET /A ERROR=33
ECHO This object doesn't exist yet.
PAUSE
GOTO TITLE

:ERROR
CLS
COLOR 0C
ECHO A problem occured in the program at
ECHO %ERROR%. Please, report this error code to me A.S.A.P.!
ECHO.
ECHO Extra information:
ECHO  Player position: %MOVE%
ECHO  Player direction: %DIRECTION%
ECHO  Player HP: %PHP%
ECHO  Player GOLD: %GOLD%
ECHO  Player ATK: %ATK%
ECHO  Player DEF: %DEF%
ECHO  Player SPD: %SPD%
ECHO.
CALL :C 0F "Press any key to try to return to the program"
ECHO ...
PAUSE>NUL
GOTO TITLE

:LOAD
CLS
SET /A ERROR=2
ECHO This function doesn't exist yet.
PAUSE
GOTO TITLE

:SETUP
CLS
SET /A ERROR=3
ECHO This function doesn't exist yet.
GOTO TITLE

:DEBUG
CLS
SET /A ERROR=4
GOTO ERROR

:NEW0
CLS
SET /A ERROR=5
SET /A MOVE=0
SET /A DIRECTION=0
SET /A GOLD=200
ECHO Before we begin, I'll need to ask you some
ECHO questions about yourself. Will you comply?
SET /P NEW0=Y or N?=
IF %NEW0%==Y GOTO NEW1
IF %NEW0%==y GOTO NEW1
IF %NEW0%==N GOTO TITLE
IF %NEW0%==n GOTO TITLE
GOTO NEW0

:NEW1
CLS
SET /A ERROR=6
ECHO Good. Now then, are you Male or Female?
SET /P GENDER=M or F?=
IF %GENDER%==M GOTO NEW2
IF %GENDER%==m GOTO NEW2
IF %GENDER%==F GOTO NEW2
IF %GENDER%==f GOTO NEW2
IF %GENDER%==O GOTO NEW2
IF %GENDER%==o GOTO NEW2
GOTO NEW1

:NEW2
CLS
SET /A ERROR=7
ECHO Select your class and press enter,
ECHO or type H# for more information.
ECHO  1. Wizard
ECHO  2. Warrior
ECHO  3. Archer
ECHO  4. Rioter
SET /P CLASS=-
IF %CLASS%==0 GOTO GOD
IF %CLASS%==H0 GOTO H_GOD
IF %CLASS%==h0 GOTO H_GOD
IF %CLASS%==1 GOTO WIZ
IF %CLASS%==H1 GOTO H_WIZ
IF %CLASS%==h1 GOTO H_WIZ
IF %CLASS%==2 GOTO WAR
IF %CLASS%==H2 GOTO H_WAR
IF %CLASS%==h2 GOTO H_WAR
IF %CLASS%==3 GOTO ACR
IF %CLASS%==H3 GOTO H_ACR
IF %CLASS%==h3 GOTO H_ACR
IF %CLASS%==4 GOTO RTR
IF %CLASS%==H4 GOTO H_RTR
IF %CLASS%==h4 GOTO H_RTR
GOTO NEW2

:H_GOD
CLS
SET /A ERROR=8
ECHO God class.
ECHO God class is for debug ONLY.
ECHO Can use any items, has no limits.
ECHO Stats:
ECHO HP  ۲۲ 5
ECHO ATK ۲۲ 5
ECHO DEF ۲۲ 5
ECHO SPD ۲۲ 5
PAUSE
GOTO NEW2

:H_WIZ
CLS
SET /A ERROR=9
ECHO Wizard class.
ECHO Skilled with magic and staffs, but clumsy.
ECHO Can use only staffs and daggers.
ECHO Stats:
ECHO HP  ۲۲  4
ECHO ATK ۲۲ 5
ECHO DEF ۲    2
ECHO SPD      1
PAUSE
GOTO NEW2

:H_WAR
CLS
SET /A ERROR=10
ECHO Warrior class.
ECHO Strong, but slow.
ECHO Only good with swords and hammers.
ECHO Stats:
ECHO HP  ۲   3
ECHO ATK ۲۲ 5
ECHO DEF ۲۲  4
ECHO SPD ۲    2
PAUSE
GOTO NEW2

:H_ACR
CLS
SET /A ERROR=11
ECHO Archer class.
ECHO Weak but fast and powerful.
ECHO Can use bows and swords.
ECHO Stats:
ECHO HP       1
ECHO ATK ۲۲  4
ECHO DEF ۲    2
ECHO SPD ۲۲ 5
PAUSE
GOTO NEW2

:H_RTR
CLS
SET /A ERROR=12
ECHO Rioter class.
ECHO Slow but very defensive.
ECHO Can use hammers and axes.
ECHO Stats:
ECHO HP  ۲   3
ECHO ATK ۲    2
ECHO DEF ۲۲ 5
ECHO SPD      1
PAUSE
GOTO NEW2

:GOD
CLS
SET /A ERROR=13
ECHO God class.
ECHO DEBUG MODE ONLY.
ECHO You must enter a passcode to use this class.
ECHO.
ECHO Type the code now:
SET /P CODE=-
IF %CODE%==WinRAR GOTO GOD2
GOTO NEW2

:GOD2
CLS
SET /A ERROR=14
ECHO God class.
ECHO A WinRAR is you!
ECHO.
ECHO One moment, preparing game...
SET /A PHP=5
SET /A ATK=5
SET /A DEF=5
SET /A SPD=5
SET /A CLASS=0
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:WIZ
CLS
SET /A ERROR=15
ECHO Wizard class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=4
SET /A ATK=5
SET /A DEF=2
SET /A SPD=1
SET /A CLASS=1
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:WAR
CLS
SET /A ERROR=16
ECHO Warrior class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=3
SET /A ATK=5
SET /A DEF=4
SET /A SPD=2
SET /A CLASS=2
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:ACR
CLS
SET /A ERROR=17
ECHO Archer class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=1
SET /A ATK=4
SET /A DEF=2
SET /A SPD=5
SET /A CLASS=3
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:RTR
CLS
SET /A ERROR=18
ECHO Rioter class.
ECHO.
ECHO One moment, preparing game...
SET /A PHP=3
SET /A ATK=2
SET /A DEF=5
SET /A SPD=1
SET /A CLASS=4
ECHO.
ECHO All ready to go!
PAUSE
GOTO NEW3

:NEW3
CLS
SET /A ERROR=19
ECHO One last thing before I send you off...
ECHO.
ECHO What, pray tell, is your name?
SET /P NAME=-
ECHO.
ECHO Oh. Okay, %NAME%, I guess I'll be seeing you later!
ECHO.
ECHO PRess any key to begin your Journey!
PAUSE>NUL
GOTO ONG0

:ONG0
CLS
SET /A ERROR=20
ECHO Many years ago, in the early days of civilization,
ECHO the humans of the time period were visited by a
ECHO strange being. This being had seemingly fallen out
ECHO of the sky to themA god, they thought, but no. It
ECHO was certainly not, for it looked quite a lot like
ECHO their fellow humans, but yet much different, with
ECHO oddly bright clothes and it's plain face. It was
ECHO clutching in one hand a small and shiny rectangular
ECHO object with bright symbols illuminating the front.
ECHO.
ECHO The being spoke in strange patterns which they did
ECHO not understand. They thought it a god, casting a
ECHO curse upon them, so they pleaded for their life.
ECHO They thought it worked, for the being fell to the
ECHO ground, dead.
ECHO.
ECHO Press any key to read onwards...
PAUSE>NUL
GOTO ONG1

:ONG1
CLS
SET /A ERROR=21
ECHO rest of story goes here
ECHO Press any key to continue...
PAUSE>NUL
GOTO ONG2

:ONG2
CLS
SET /A ERROR=22
ECHO more story here
ECHO Press any key to continue...
PAUSE>NUL
GOTO 00

:00
CLS
SET /A ERROR=23
SET /A PLACE=00
CALL :C 9A "Journey v0.41"
ECHO  By AiO Softworks.
ECHO.
ECHO Game menu.
ECHO Select an option and press enter to do something.
ECHO  1. Check stats
ECHO  2. Look around
ECHO  3. Go to store
ECHO.
ECHO  W1. Walk North
ECHO  W2. Walk West
ECHO  W3. Walk East
ECHO  W4. Walk South
ECHO.
ECHO  4. Options
ECHO  5. Save and Exit
SET /P MENU=-
IF %MENU%==0 GOTO DEBUG
IF %MENU%==W0 GOTO DEBUG
IF %MENU%==w0 GOTO DEBUG
IF %MENU%==1 GOTO STATS
IF %MENU%==2 GOTO LOOK
IF %MENU%==3 GOTO STORE
IF %MENU%==W1 GOTO MN
IF %MENU%==W2 GOTO MW
IF %MENU%==W3 GOTO ME
IF %MENU%==W4 GOTO MS
IF %MENU%==4 GOTO SETUP
IF %MENU%==5 GOTO SAVE
IF %MENU%==w1 GOTO MN
IF %MENU%==w2 GOTO MW
IF %MENU%==w3 GOTO ME
IF %MENU%==w4 GOTO MS
GOTO 00

:SAVE
CLS
SET /A ERROR=24
ECHO not implemented yet!
PAUSE
GOTO 00

:STATS
CLS
SET /A ERROR=25
ECHO Player %NAME%'s statistics:
ECHO HP:  %PHP%
ECHO ATK: %ATK%
ECHO DEF: %DEF%
ECHO SPD: %SPD%
ECHO.
ECHO Gold: %GOLD%
ECHO.
ECHO Current position: %MOVE%
ECHO Current direction: %DIRECTION%
ECHO.
PAUSE
GOTO 00

:LOOK
CLS
SET /A ERROR=26
IF %MOVE%==E GOTO ERROR
IF %MOVE%==0 GOTO LOOK0
IF %MOVE%==1 GOTO LOOK1
IF %MOVE%==2 GOTO LOOK2
IF %MOVE%==3 GOTO LOOK3
IF %MOVE%==4 GOTO LOOK4
IF %MOVE%==5 GOOT LOOK5

SET /A MOVE=E
GOTO LOOK

:STORE
CLS
SET /A ERROR=27
ECHO Welcome to my shop!
ECHO What can I do for you?
ECHO  1. BUY
ECHO  2. SELL
ECHO  3. EXIT
SET /P ST0RE=-
IF %ST0RE%==0 GOTO DEBUG
IF %ST0RE%==1 GOTO BUY
IF %ST0RE%==2 GOTO SELL
IF %ST0RE%==3 GOTO 00
GOTO STORE

:BUY
CLS
SET /A ERROR=32
ECHO Here's a catalog of what I sell:
ECHO Type a letter and press enter.
ECHO  H. Health
ECHO  W. Weapons
ECHO  M. Misc.
ECHO  E. Exit
ECHO.
ECHO You have %GOLD% gold.
SET /P BUY=-
IF %BUY%==0 GOTO DEBUG
IF %BUY%==H GOTO BUYHP
IF %BUY%==W GOTO WEAPONS
IF %BUY%==M GOTO BUYMISC
IF %BUY%==h GOTO BUYHP
IF %BUY%==w GOTO WEAPONS
IF %BUY%==m GOTO BUYMISC
IF %BUY%==E GOTO STORE
IF %BUY%==e GOTO STORE
GOTO STORE

:BUYHP
CLS
SET /A ERROR=35
ECHO Here's what I sell:
ECHO Type a number and press enter.
ECHO Type H and a number to view stats.
ECHO  1. Health          100
ECHO  2. Super Health    250
ECHO  3. Maximum Health  500
ECHO  4. Back
ECHO.
ECHO You have %GOLD% gold.
SET /P BUYHP=-
IF %BUYHP%==0 GOTO DEBUG
IF %BUYHP%==1 GOTO HBUY0
IF %BUYHP%==2 GOTO HBUY1
IF %BUYHP%==3 GOTO HBUY2
IF %BUYHP%==4 GOTO BUY
IF %BUYHP%==H1 GOTO HHBUY0
IF %BUYHP%==h1 GOTO HHBUY0
IF %BUYHP%==H2 GOTO HHBUY1
IF %BUYHP%==h2 GOTO HHBUY1
IF %BUYHP%==H3 GOTO HHBUY2
IF %BUYHP%==h3 GOTO HHBUY2
GOTO BUYHP

:HBUY0
CLS
SET /A ERROR=36
ECHO One moment...
SET /A GOLD2=%GOLD%-100
IF %GOLD2%==0 GOTO OK0
IF /I %GOLD2% LSS 1 GOTO NO
IF /I %GOLD2% GTR 0 GOTO OK0
GOTO ERROR

:NO
CLS
SET /A ERROR=37
ECHO You don't have enough money for that!
ECHO Come back when you do!
ECHO.
ECHO Press any key to return to the main menu.
PAUSE>NUL
GOTO 00

:OK0
CLS
SET /A ERROR=38
ECHO Okay, here's your Health.
ECHO Come back any time!
SET /A PHP=%PHP%+1
SET /A HPG=1
SET /A GOLD=%GOLD%-100
ECHO.
ECHO You have %GOLD% gold left.
PAUSE
GOTO HPG

:HPG
CLS
SET /A ERROR=39
ECHO You gained %HPG% HP!
PAUSE
GOTO 00

:HBUY1
CLS
SET /A ERROR=40
ECHO One moment...
SET /A GOLD2=%GOLD%-250
IF %GOLD2%==0 GOTO OK1
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK1
GOTO ERROR

:OK1
CLS
SET /A ERROR=41
ECHO Okay, here's your Super Health.
ECHO Come back any time!
SET /A PHP=%PHP%+3
SET /A HPG=3
SET /A GOLD=%GOLD%-250
ECHO.
ECHO You have %GOLD% gold left.
PAUSE
GOTO HPG

:HBUY2
CLS
SET /A ERROR=42
ECHO One moment...
SET /A GOLD2=%GOLD%-500
IF %GOLD2%==0 GOTO OK2
IF /I %GOLD2% LSS 0 GOTO NO
IF /I %GOLD2% GTR 1 GOTO OK2
GOTO ERROR

:OK2
CLS
SET /A ERROR=43
ECHO Okay, here's your Maximum Health.
ECHO Come back any time!
SET /A PHP=%PHP%+6
SET /A HPG=6
SET /A GOLD=%GOLD%-500
ECHO.
ECHO You have %GOLD% gold left.
PAUSE
GOTO HPG

:HHBUY0
CLS
SET /A ERROR=44
ECHO Health
ECHO  Cost: 100
ECHO  Function: Restores 1 HP.
ECHO Press any key to return to the shop.
PAUSE>NUL
GOTO BUYHP

:HHBUY1
CLS
SET /A ERROR=45
ECHO Super Health
ECHO  Cost: 250
ECHO  Function: Restores 3 HP.
ECHO Press any key to return to the shop.
PAUSE>NUL
GOTO BUYHP

:HHBUY2
CLS
SET /A ERROR=46
ECHO Maximum Health
ECHO  Cost: 500
ECHO  Function: Restores 6 HP.
ECHO Press any key to return to the shop.
PAUSE>NUL
GOTO BUYHP

:SELL
CLS
SET /A ERROR=34
ECHO You can't sell items yet.
PAUSE
GOTO STORE

:MN
CLS
SET /A ERROR=28

:MW
CLS
SET /A ERROR=29

:ME
CLS
SET /A ERROR=30

:MS
CLS
SET /A ERROR=31

PAUSE>NUL
GOTO ERROR
EXIT

goto :eof

:C
echo off
<nul set /p ".=%DEL%" > "%~2"
findstr /v /a:%1 /R "^$" "%~2" nul
del "%~2" > nul 2>&1
goto :eof